	subroutine pfcomavhrr(ancil_data_path,craft,*)
c * Input AVHRR Planck-function and band-correction coefficients.
c ++++ for TIROS-N, NOAAA-6 ... NOAA-18, METOP-A, ff.
c .... version of 15.06.06

c	craft = spacecraft: tirosn,noaa06...noaa18, metopa, ... upper or lower case

	parameter (iuc=70,lenc=100,nb=3,nt=2,lenp=nb*(nt+3))
	parameter (lencb=lenc*4)
c	parameter (kb=3,ke=5)       !commented in original
c	common/avhpfc/wnum(kb:ke),fk1(kb:ke),fk2(kb:ke),tc(nt,kb:ke)  !commented in original
	common/avhpfc/pbuf(lenp)
	dimension cbuf(lenc)
        character*72 ancil_data_path,pfast_path
	character*12 cfile
	character*6 craft

	cfile="avhrnbnd.dat"
        pfast_path = trim(ancil_data_path)//"pfast/"

	open(iuc,file=trim(pfast_path)//cfile, 
     +          recl=lencb,access='direct',status='old',
     +		err=100)
	call getnumsc(craft,noff)
	irec=noff+1
	read(iuc,rec=irec) cbuf
	close(iuc)

c * determine if coefficients need to be byte-flipped
	if(cbuf(lenc).lt.1.0) then
	   call re4flip(cbuf,cbuf,lenc)
	endif

	do i=1,lenp
	   pbuf(i)=cbuf(i)
	enddo
	return

100	return1
	end
